import { request, paramsSerializer } from '@/utils/request.js';

// issuse-feedback
export const issuesFeedbackListApi = (data) =>
  request({
    url: '/api/admin/tb/quality/problem/apply/query',
    params: data,
  });
export const issuesFeedbackDestroyApi = (ids) =>
  request({
    url: '/api/admin/tb/quality/problem/apply/delete',
    params: { ids },
    paramsSerializer,
  });
export const issuesFeedbackSaveApi = (data) =>
  request({
    url: '/api/admin/tb/quality/problem/apply/save',
    data,
  });
export const issuesFeedbackApproveApi = (data) =>
  request({
    url: '/api/admin/tb/quality/problem/apply/approve',
    data,
  });

// issues-query
export const issuesQueryListApi = (data) =>
  request({
    url: '/api/system/issuse-query/list',
    data,
  });
